//+------------------------------------------------------------------+ 
//|   TRO_NB_SR_AlertWav                                             | 
//|                                                                  | 
//|   Copyright  2008, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|                                                                  |
//|   therumpledone@gmail.com                                        |  
//+------------------------------------------------------------------+ 

#property  copyright "Copyright  2008, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 

#property indicator_chart_window


//---- input parameters 


extern int myChartY = 300 ;

extern int myChartPeriod = 0 ;
extern int myBars        = 24 ;

extern string myFont  = "Courier" ; // "Verdana" Courier
extern int myFontSize = 12 ; //9

extern bool   Sound.Alert    = true ; 
extern string Sound.File1     = "ahooga.wav" ;
extern string Sound.File2     = "ahooga.wav" ;
extern string Sound.File3     = "ahooga.wav" ;
extern string Sound.File4     = "ahooga.wav" ;
extern string Sound.File5     = "ahooga.wav" ;
extern string Sound.File6     = "ahooga.wav" ;
extern string Sound.File7     = "ahooga.wav" ;
extern string Sound.File8     = "ahooga.wav" ;
extern string Sound.File9     = "ahooga.wav" ;
extern string Sound.File10     = "ahooga.wav" ;
extern string Sound.File11     = "ahooga.wav" ;
extern string Sound.File12     = "ahooga.wav" ;
extern string Sound.File13     = "ahooga.wav" ;
extern string Sound.File14     = "ahooga.wav" ;
extern string Sound.File15     = "ahooga.wav" ;
extern string Sound.File16     = "ahooga.wav" ;
extern string Sound.File17     = "ahooga.wav" ;
 
extern double myAlert1 = 0 ;
extern double myAlert2 = 0 ;
extern double myAlert3 = 0 ;
extern double myAlert4 = 0 ;
extern double myAlert5 = 0 ;
extern double myAlert6 = 0 ;
extern double myAlert7 = 0 ;
extern double myAlert8 = 0 ;
extern double myAlert9 = 0  ;
extern double myAlert10 = 0  ;
extern double myAlert11 = 0  ;
extern double myAlert12 = 0 ;
extern double myAlert13 = 0 ;
extern double myAlert14 = 0 ;
extern double myAlert15 = 0 ;
extern double myAlert16 = 0 ;
extern double myAlert17 = 0 ;
 
extern color myUpColor = Lime ;
extern color myDnColor = Red ;
 
extern color myColorH = Orange ;
extern color myColor1 = Crimson ;
extern color myColor2 = Crimson ;
extern color myColor3 = Crimson ;
extern color myColor4 = Crimson ;
extern color myColor5 = Crimson ;
extern color myColor6 = Crimson ;
extern color myColor7 = Crimson ;
extern color myColor8 = Crimson ;
extern color myColor9 = Orange ;
extern color myColor10 = MediumBlue ;
extern color myColor11 = MediumBlue ;
extern color myColor12 = MediumBlue ;
extern color myColor13 = MediumBlue ;
extern color myColor14 = MediumBlue ;
extern color myColor15 = MediumBlue ;
extern color myColor16 = MediumBlue ;
extern color myColor17 = MediumBlue ;

//---- buffers
 

int i;
   

double X01,X02,X03,X04,X05 ;
double X06 ;   
double X07 ;
double X08, X09, X10,X11,X12, X13,X14,X15,X16, X17 ; 
double xRet, xRetBody, xRetWick, xRetTail ;
double xRetPct, xRetBodyPct, xRetWickPct, xRetTailPct;    
  
string symbol, tChartPeriod ;  
int    digits, period, win ; 
double point, D1_High0, D1_Low0, D1_Open, D1_High1, D1_Low1, D1_Close1, close  ;  
double H1_High0, H1_Low0, H1_Open, H1_High1, H1_Low1, H1_Close1;  
double W1_High0, W1_Low0, W1_Open, W1_High1, W1_Low1, W1_Close1;  

double  AvgRange, xRange, xBody, xWick, xTail, xTop, xBottom  ;

string dHead01, dHead02;
string dLabel01, dValue01;
string dLabel02, dValue02;
string dLabel03, dValue03;
string dLabel04, dValue04;
string dLabel05, dValue05;
string dLabel06, dValue06;
string dLabel07, dValue07;
string dLabel08, dValue08;
string dLabel09, dValue09;
string dLabel10, dValue10;
string dLabel11, dValue11;
string dLabel12, dValue12;
string dLabel13, dValue13;
string dLabel14, dValue14;
string dLabel15, dValue15;
string dLabel16, dValue16;
string dLabel17, dValue17;

datetime Trigger ;

//+------------------------------------------------------------------+
  
int init()
  {

   if(myChartPeriod == 0) { myChartPeriod = Period() ; }    
   tChartPeriod =  TimeFrameToString(myChartPeriod) ;
   symbol       =  Symbol() ;
   digits       =  Digits ;
   point        =  Point ;
 
   win          = 0 ;
    
 dHead01="plvh01"+ tChartPeriod ;  dHead02="plv202"+ tChartPeriod ;     
    
 dLabel01="plv01"+ tChartPeriod ;  dValue01="plvv01"+ tChartPeriod ; 
 dLabel02="plv02"+ tChartPeriod ;  dValue02="plvv02"+ tChartPeriod ; 
 dLabel03="plv03"+ tChartPeriod ;  dValue03="plvv03"+ tChartPeriod ; 
 dLabel04="plv04"+ tChartPeriod ;  dValue04="plvv04"+ tChartPeriod ; 
 dLabel05="plv05"+ tChartPeriod ;  dValue05="plvv05"+ tChartPeriod ; 
 dLabel06="plv06"+ tChartPeriod ;  dValue06="plvv06"+ tChartPeriod ; 
 dLabel07="plv07"+ tChartPeriod ;  dValue07="plvv07"+ tChartPeriod ; 
 dLabel08="plv08"+ tChartPeriod ;  dValue08="plvv08"+ tChartPeriod ; 
 dLabel09="plv09"+ tChartPeriod ;  dValue09="plvv09"+ tChartPeriod ; 
 dLabel10="plv10"+ tChartPeriod ;  dValue10="plvv10"+ tChartPeriod ; 
 dLabel11="plv11"+ tChartPeriod ;  dValue11="plvv11"+ tChartPeriod ;     
 dLabel12="plv12"+ tChartPeriod ;  dValue12="plvv12"+ tChartPeriod ;    
 dLabel13="plv13"+ tChartPeriod ;  dValue13="plvv13"+ tChartPeriod ; 
 dLabel14="plv14"+ tChartPeriod ;  dValue14="plvv14"+ tChartPeriod ; 
 dLabel15="plv15"+ tChartPeriod ;  dValue15="plvv15"+ tChartPeriod ;     
 dLabel16="plv16"+ tChartPeriod ;  dValue16="plvv16"+ tChartPeriod ;    
 dLabel17="plv17"+ tChartPeriod ;  dValue17="plvv17"+ tChartPeriod ;       
      
ObjectsDeleteAll( 0,OBJ_LABEL );
      
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+

int deinit()
  {
ObjectsDeleteAll( 0,OBJ_LABEL );
    
   return(0);
  }

//+------------------------------------------------------------------+

int start()
{
  
DoShowGauge() ;

return(0); 
} 

//+------------------------------------------------------------------+ 

void DoShowGauge()
{

color color_X01=myColor1;
color color_X02=myColor2;
color color_X03=myColor3;  
color color_X04=myColor4;
color color_X05=myColor5;
color color_X06=myColor6;
color color_X07=myColor7;  
color color_X08=myColor8;  
color color_X09=myColor9;   
color color_X10=myColor10; 
color color_X11=myColor11; 
color color_X12=myColor12; 
color color_X13=myColor13; 
color color_X14=myColor14; 
color color_X15=myColor15; 
color color_X16=myColor16; 
color color_X17=myColor17; 

   
close     = iClose(NULL,0,0) ;  
  

X01  = ( close - myAlert1 )  / point ;
X02  = ( close - myAlert2 )  / point ;
X03  = ( close - myAlert3 )  / point ;
X04  = ( close - myAlert4 )  / point ;
X05  = ( close - myAlert5 )  / point ; 
X06  = ( close - myAlert6 )  / point ; 
X07  = ( close - myAlert7 )  / point ;
X08  = ( close - myAlert8 )  / point ;
X09  = ( close - myAlert9 )  / point ;
X10  = ( close - myAlert10 )  / point ;
X11  = ( close - myAlert11 )  / point ;
X12  = ( close - myAlert12 )  / point ;
X13  = ( close - myAlert13 )  / point ;
X14  = ( close - myAlert14 )  / point ;
X15  = ( close - myAlert15 )  / point ;
X16  = ( close - myAlert16 )  / point ;
X17  = ( close - myAlert17 )  / point ;   




//Comment( "PP= ", DoubleToStr(( D1_Close1 + D1_Open + D1_Low1) / 3 , 4) );


string StrH   = "NB SR Alert" ;

string StrX01 = DoubleToStr( myAlert1,digits ) + "  " ; 
string StrX02 = DoubleToStr( myAlert2,digits ) + "  " ;  
string StrX03 = DoubleToStr( myAlert3,digits ) + "  " ;  
string StrX04 = DoubleToStr( myAlert4,digits ) + "  " ;   
string StrX05 = DoubleToStr( myAlert5,digits ) + "  " ;   
string StrX06 = DoubleToStr( myAlert6,digits ) + "  " ; 
string StrX07 = DoubleToStr( myAlert7,digits ) + "  " ; 
string StrX08 = DoubleToStr( myAlert8,digits ) + "  " ;   
string StrX09 = DoubleToStr( myAlert9,digits ) + "  " ; 
string StrX10 = DoubleToStr( myAlert10,digits ) + "  " ;  
string StrX11 = DoubleToStr( myAlert11,digits ) + "  " ;  
string StrX12 = DoubleToStr( myAlert12,digits ) + "  " ; 
string StrX13 = DoubleToStr( myAlert13,digits ) + "  " ; 
string StrX14 = DoubleToStr( myAlert14,digits ) + "  " ;  
string StrX15 = DoubleToStr( myAlert15,digits ) + "  " ;  
string StrX16 = DoubleToStr( myAlert16,digits ) + "  " ;  
string StrX17 = DoubleToStr( myAlert17,digits ) + "  " ; 
  
  

color_X01=myColor1;
color_X02=myColor2;
color_X03=myColor3;  
color_X04=myColor4;
color_X05=myColor5;
color_X06=myColor6;
color_X07=myColor7;  
color_X08=myColor8;  
color_X09=myColor9;   
color_X10=myColor10; 
color_X11=myColor11; 
color_X12=myColor12; 
color_X13=myColor13; 
color_X14=myColor14; 
color_X15=myColor15; 
color_X16=myColor16; 
color_X17=myColor17; 

if( X01 > 0 ) { color_X01 = Lime ; } else if( X01 < 0 ) { color_X01 = Red ; } 
if( X02 > 0 ) { color_X02 = Lime ; } else if( X02 < 0 ) { color_X02 = Red ; } 
if( X03 > 0 ) { color_X03 = Lime ; } else if( X03 < 0 ) { color_X03 = Red ; }   
if( X04 > 0 ) { color_X04 = Lime ; } else if( X04 < 0 ) { color_X04 = Red ; } 
if( X05 > 0 ) { color_X05 = Lime ; } else if( X05 < 0 ) { color_X05 = Red ; } 
if( X06 > 0 ) { color_X06 = Lime ; } else if( X06 < 0 ) { color_X06 = Red ; }
if( X07 > 0 ) { color_X07 = Lime ; } else if( X07 < 0 ) { color_X07 = Red ; }    
if( X08 > 0 ) { color_X08 = Lime ; } else if( X08 < 0 ) { color_X08 = Red ; } 
if( X09 > 0 ) { color_X09 = Lime ; } else if( X09 < 0 ) { color_X09 = Red ; }
if( X10 > 0 ) { color_X10 = Lime ; } else if( X10 < 0 ) { color_X10 = Red ; }  	
if( X11 > 0 ) { color_X11 = Lime ; } else if( X11 < 0 ) { color_X11 = Red ; }  
if( X12 > 0 ) { color_X12 = Lime ; } else if( X12 < 0 ) { color_X12 = Red ; }  
if( X13 > 0 ) { color_X13 = Lime ; } else if( X13 < 0 ) { color_X13 = Red ; }       	
if( X14 > 0 ) { color_X14 = Lime ; } else if( X14 < 0 ) { color_X14 = Red ; }  	
if( X15 > 0 ) { color_X15 = Lime ; } else if( X15 < 0 ) { color_X15 = Red ; }  
if( X16 > 0 ) { color_X16 = Lime ; } else if( X16 < 0 ) { color_X16 = Red ; }  
if( X17 > 0 ) { color_X17 = Lime ; } else if( X17 < 0 ) { color_X17 = Red ; }      	
       	
//      if ( Trigger != Time[0] &&  Sound.Alert ) 
      if (   Sound.Alert )       
      {
        if( X01 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File1); }     
        if( X02 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File2); }  
        if( X03 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File3); }  
        if( X04 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File4); }     
        if( X05 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File5); }  
        if( X06 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File6); }  
        if( X07 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File7); }     
        if( X08 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File8); }  
        if( X09 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File9); }
        if( X10 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File10); }     
        if( X11 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File11); }     
        if( X12 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File12); }  
        if( X13 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File13); }  
        if( X14 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File14); }     
        if( X15 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File15); }  
        if( X16 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File16); }  
        if( X17 == 0 ) { Trigger = Time[0]  ; PlaySound(Sound.File17); }                             
      }
      
//---- Set Pivots labels

   int WindowToUse;
   int Corner_line, Xdist_line;
   int Corner_text, Corner_vSRFP, Xdist_text, Xdist_vSRFP;
   int Ydist_line5;
   int Corner_pivots, Xdist_pivots, Ydist_pivots;
   int Ydist_X01, Ydist_X02, Ydist_X03, Ydist_X04, Ydist_X05, Ydist_X06, Ydist_X07, Ydist_X08, Ydist_X09, Ydist_X10 ;
   int Ydist_X11, Ydist_X12, Ydist_X13,Ydist_X14, Ydist_X15, Ydist_X16, Ydist_X17  ;  
   int YdistInc ;
   
    WindowToUse =  0;
    Corner_line = 1;
    Corner_text = 1; Corner_vSRFP = 1;
    Xdist_line = 21; Xdist_text = 83; Xdist_vSRFP = 23;
    Corner_pivots = 1; Xdist_pivots = 21; 
    
    Ydist_pivots = myChartY;  
    Ydist_line5 = Ydist_pivots + 11; YdistInc = 15 ;
    
    Ydist_X01 = Ydist_pivots + 25; 
    Ydist_X02 = Ydist_X01 + YdistInc; 
    Ydist_X03 = Ydist_X01 + YdistInc*2; 
    Ydist_X04 = Ydist_X01 + YdistInc*3; 
    Ydist_X05 = Ydist_X01 + YdistInc*4;
    Ydist_X06 = Ydist_X01 + YdistInc*5;    
    Ydist_X07 = Ydist_X01 + YdistInc*6;
    Ydist_X08 = Ydist_X01 + YdistInc*7;    
    Ydist_X09 = Ydist_X01 + YdistInc*8;    
    Ydist_X10 = Ydist_X01 + YdistInc*9;    
    Ydist_X11 = Ydist_X01 + YdistInc*10; 
    Ydist_X12 = Ydist_X01 + YdistInc*11;     
    Ydist_X13 = Ydist_X01 + YdistInc*12;     
    Ydist_X14 = Ydist_X01 + YdistInc*13; 
    Ydist_X15 = Ydist_X01 + YdistInc*14;     
    Ydist_X16 = Ydist_X01 + YdistInc*15;  
    Ydist_X17 = Ydist_X01 + YdistInc*16;     
    
    
int zDigits = 0 ;    
    
//+------------------------------------------------------------------+ 
   ObjectCreate(dHead01, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dHead01,StrH,myFontSize, myFont, myColorH);
   ObjectSet(dHead01, OBJPROP_CORNER, Corner_pivots);
   ObjectSet(dHead01, OBJPROP_XDISTANCE, Xdist_pivots);
   ObjectSet(dHead01, OBJPROP_YDISTANCE, Ydist_pivots);
   
   ObjectCreate(dHead02, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dHead02,"----------------",myFontSize, myFont, myColorH);
   ObjectSet(dHead02, OBJPROP_CORNER, Corner_line);
   ObjectSet(dHead02, OBJPROP_XDISTANCE, Xdist_line);
   ObjectSet(dHead02, OBJPROP_YDISTANCE, Ydist_line5);

//+------------------------------------------------------------------+  
if( myAlert1 != 0 )
{  
   ObjectCreate(dLabel01, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel01,StrX01,myFontSize, myFont, myColor1 );
   ObjectSet(dLabel01, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel01, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel01, OBJPROP_YDISTANCE, Ydist_X01);
   
   ObjectCreate(dValue01, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue01," "+DoubleToStr(X01,zDigits),myFontSize, myFont, color_X01);
   ObjectSet(dValue01, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue01, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue01, OBJPROP_YDISTANCE, Ydist_X01);
}

//+------------------------------------------------------------------+  
if( myAlert2 != 0 )
{     
   ObjectCreate(dLabel02, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel02,StrX02,myFontSize, myFont, myColor2 );
   ObjectSet(dLabel02, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel02, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel02, OBJPROP_YDISTANCE, Ydist_X02);
   
   ObjectCreate(dValue02, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue02," "+DoubleToStr(X02,zDigits),myFontSize, myFont, color_X02);
   ObjectSet(dValue02, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue02, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue02, OBJPROP_YDISTANCE, Ydist_X02);
}

//+------------------------------------------------------------------+  
if( myAlert3 != 0 )
{
   ObjectCreate(dLabel03, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel03,StrX03,myFontSize, myFont, myColor3 );
   ObjectSet(dLabel03, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel03, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel03, OBJPROP_YDISTANCE, Ydist_X03);
   
   ObjectCreate(dValue03, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue03," "+DoubleToStr(X03,zDigits),myFontSize, myFont, color_X03);
   ObjectSet(dValue03, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue03, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue03, OBJPROP_YDISTANCE, Ydist_X03);
}

//+------------------------------------------------------------------+  
if( myAlert4 != 0 )
{ 
   ObjectCreate(dLabel04, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel04,StrX04,myFontSize, myFont, myColor4 );
   ObjectSet(dLabel04, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel04, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel04, OBJPROP_YDISTANCE, Ydist_X04);
   
   ObjectCreate(dValue04, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue04," "+DoubleToStr(X04,zDigits),myFontSize, myFont, color_X04);
   ObjectSet(dValue04, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue04, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue04, OBJPROP_YDISTANCE, Ydist_X04);  
}

//+------------------------------------------------------------------+  
if( myAlert5 != 0 )
{   
   ObjectCreate(dLabel05, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel05,StrX05,myFontSize, myFont, myColor5 );
   ObjectSet(dLabel05, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel05, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel05, OBJPROP_YDISTANCE, Ydist_X05);
   
   ObjectCreate(dValue05, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue05," "+DoubleToStr(X05,zDigits),myFontSize, myFont, color_X05);
   ObjectSet(dValue05, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue05, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue05, OBJPROP_YDISTANCE, Ydist_X05);
}

//+------------------------------------------------------------------+  
if( myAlert6 != 0 )
{    
   ObjectCreate(dLabel06, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel06,StrX06,myFontSize, myFont, myColor6 );
   ObjectSet(dLabel06, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel06, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel06, OBJPROP_YDISTANCE, Ydist_X06);
   
   ObjectCreate(dValue06, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue06," "+DoubleToStr(X06,zDigits),myFontSize, myFont, color_X06);
   ObjectSet(dValue06, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue06, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue06, OBJPROP_YDISTANCE, Ydist_X06);
}

//+------------------------------------------------------------------+  
if( myAlert7 != 0 )
{
   ObjectCreate(dLabel07, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel07,StrX07,myFontSize, myFont, myColor7 );
   ObjectSet(dLabel07, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel07, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel07, OBJPROP_YDISTANCE, Ydist_X07);
   
   ObjectCreate(dValue07, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue07," "+DoubleToStr(X07,zDigits),myFontSize, myFont, color_X07);
   ObjectSet(dValue07, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue07, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue07, OBJPROP_YDISTANCE, Ydist_X07);
}

//+------------------------------------------------------------------+  
if( myAlert8 != 0 )
{
   ObjectCreate(dLabel08, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel08,StrX08,myFontSize, myFont, myColor8 );
   ObjectSet(dLabel08, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel08, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel08, OBJPROP_YDISTANCE, Ydist_X08);
   
   ObjectCreate(dValue08, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue08," "+DoubleToStr(X08,zDigits),myFontSize, myFont, color_X08);
   ObjectSet(dValue08, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue08, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue08, OBJPROP_YDISTANCE, Ydist_X08);  
}

//+------------------------------------------------------------------+  
if( myAlert9 != 0 )
{  
   ObjectCreate(dLabel09, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel09,StrX09,myFontSize, myFont, myColor9 );
   ObjectSet(dLabel09, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel09, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel09, OBJPROP_YDISTANCE, Ydist_X09);
   
   ObjectCreate(dValue09, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue09," "+DoubleToStr(X09,zDigits),myFontSize, myFont, color_X09);
   ObjectSet(dValue09, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue09, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue09, OBJPROP_YDISTANCE, Ydist_X09);  
}

//+------------------------------------------------------------------+  
if( myAlert10 != 0 )
{  
   
   ObjectCreate(dLabel10, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel10,StrX10,myFontSize, myFont, myColor10 );
   ObjectSet(dLabel10, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel10, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel10, OBJPROP_YDISTANCE, Ydist_X10);
   
   ObjectCreate(dValue10, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue10," "+DoubleToStr(X10,zDigits),myFontSize, myFont, color_X10);
   ObjectSet(dValue10, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue10, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue10, OBJPROP_YDISTANCE, Ydist_X10);  
}

//+------------------------------------------------------------------+  
if( myAlert11 != 0 )
{ 
   ObjectCreate(dLabel11, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel11,StrX11,myFontSize, myFont, myColor11 );
   ObjectSet(dLabel11, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel11, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel11, OBJPROP_YDISTANCE, Ydist_X11);
   
   ObjectCreate(dValue11, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue11," "+DoubleToStr(X11,zDigits),myFontSize, myFont, color_X11);
   ObjectSet(dValue11, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue11, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue11, OBJPROP_YDISTANCE, Ydist_X11);     
}

//+------------------------------------------------------------------+  
if( myAlert12 != 0 )
{   
   ObjectCreate(dLabel12, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel12,StrX12,myFontSize, myFont, myColor12 );
   ObjectSet(dLabel12, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel12, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel12, OBJPROP_YDISTANCE, Ydist_X12);
   
   ObjectCreate(dValue12, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue12," "+DoubleToStr(X12,zDigits),myFontSize, myFont, color_X12);
   ObjectSet(dValue12, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue12, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue12, OBJPROP_YDISTANCE, Ydist_X12);     
}

//+------------------------------------------------------------------+  
if( myAlert13 != 0 )
{

   ObjectCreate(dLabel13, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel13,StrX13,myFontSize, myFont, myColor13 );
   ObjectSet(dLabel13, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel13, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel13, OBJPROP_YDISTANCE, Ydist_X13);
   
   ObjectCreate(dValue13, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue13," "+DoubleToStr(X13,zDigits),myFontSize, myFont, color_X13);
   ObjectSet(dValue13, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue13, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue13, OBJPROP_YDISTANCE, Ydist_X13);  
}

//+------------------------------------------------------------------+  
if( myAlert14 != 0 )
{
   ObjectCreate(dLabel14, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel14,StrX14,myFontSize, myFont, myColor14 );
   ObjectSet(dLabel14, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel14, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel14, OBJPROP_YDISTANCE, Ydist_X14);
   
   ObjectCreate(dValue14, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue14," "+DoubleToStr(X14,zDigits),myFontSize, myFont, color_X14);
   ObjectSet(dValue14, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue14, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue14, OBJPROP_YDISTANCE, Ydist_X14);  
}

//+------------------------------------------------------------------+  
if( myAlert15 != 0 )
{
   ObjectCreate(dLabel15, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel15,StrX15,myFontSize, myFont, myColor15 );
   ObjectSet(dLabel15, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel15, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel15, OBJPROP_YDISTANCE, Ydist_X15);
   
   ObjectCreate(dValue15, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue15," "+DoubleToStr(X15,zDigits),myFontSize, myFont, color_X15);
   ObjectSet(dValue15, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue15, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue15, OBJPROP_YDISTANCE, Ydist_X15);  
}

//+------------------------------------------------------------------+  
if( myAlert16 != 0 )
{

   ObjectCreate(dLabel16, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel16,StrX16,myFontSize, myFont, myColor16 );
   ObjectSet(dLabel16, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel16, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel16, OBJPROP_YDISTANCE, Ydist_X16);
   
   ObjectCreate(dValue16, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue16," "+DoubleToStr(X16,zDigits),myFontSize, myFont, color_X16);
   ObjectSet(dValue16, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue16, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue16, OBJPROP_YDISTANCE, Ydist_X16);  

}

//+------------------------------------------------------------------+  
if( myAlert17 != 0 )
{
   ObjectCreate(dLabel17, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dLabel17,StrX17,myFontSize, myFont, myColor17 );
   ObjectSet(dLabel17, OBJPROP_CORNER, Corner_text);
   ObjectSet(dLabel17, OBJPROP_XDISTANCE, Xdist_text);
   ObjectSet(dLabel17, OBJPROP_YDISTANCE, Ydist_X17);
   
   ObjectCreate(dValue17, OBJ_LABEL, WindowToUse, 0, 0);
   ObjectSetText(dValue17," "+DoubleToStr(X17,zDigits),myFontSize, myFont, color_X17);
   ObjectSet(dValue17, OBJPROP_CORNER, Corner_vSRFP);
   ObjectSet(dValue17, OBJPROP_XDISTANCE, Xdist_vSRFP);
   ObjectSet(dValue17, OBJPROP_YDISTANCE, Ydist_X17);  
}
//+------------------------------------------------------------------+        

   
      WindowRedraw();    
}

//+------------------------------------------------------------------+ 

string TimeFrameToString(int tf)
{
   string tfs;
   switch(tf) {
      case PERIOD_M1:  tfs="M1"  ; break;
      case PERIOD_M5:  tfs="M5"  ; break;
      case PERIOD_M15: tfs="M15" ; break;
      case PERIOD_M30: tfs="M30" ; break;
      case PERIOD_H1:  tfs="H1"  ; break;
      case PERIOD_H4:  tfs="H4"  ; break;
      case PERIOD_D1:  tfs="D1"  ; break;
      case PERIOD_W1:  tfs="W1"  ; break;
      case PERIOD_MN1: tfs="MN";
   }
   return(tfs);
}

/*


TRO RANGE GAUGE displays range information.


Open is candle's D1_Open price.  Green if above previous candle's D1_Open price, red if beD1_Low1.

High is candle's D1_High1 price.  Green if above previous candle's D1_High1 price, red if beD1_Low1.

Low is candle's D1_Low1 price.  Green if above previous candle's D1_Low1 price, red if beD1_Low1.

Close is candle's D1_Close1 price.  Green if above previous candle's D1_Close1 price, red if beD1_Low1.

Range is today's range.  Green if above yesterday's range, red if bD1_Low1.

Ret% is retrace percentage off today's D1_Low1.

Wick% is the wick (D1_High1 - candle top) percentage of the range.

Body% is the candle body (candle top - candle bottom) percentage of the range.

Tail% is the tail (candle bottom - D1_Low1) percentage of the range.

Avg(x) is the average range over the last X bars.  Green is above today's range, red if beD1_Low1.

*/