//+------------------------------------------------------------------+ 
//|               _BZ_SKYLINE                      TRO BUY ZONE .mq4 | 
//|                                                     Skyline,2008 | 
//|                                                                  | 
//+------------------------------------------------------------------+ 
#property copyright "Skyline,2008" 
#property link      "www.forexpertutti.it" 

#property indicator_chart_window 
#property  indicator_buffers 7 
#property  indicator_color1  White 
#property  indicator_color2  Blue 
//#property  indicator_color3  Blue 
#property  indicator_color3  Red 
//#property  indicator_color5  Red 
#property  indicator_color4  Green 
#property  indicator_color5  Green 

extern bool show.comment = false ;

extern double myEntryTrigger   = 4 ;
extern double myProfitTarget   = 10 ;
extern double myStopLoss       = 7 ;


double OpenLine[]; 
double BuyLine1[]; 
double BuyLine2[]; 
double SellLine1[]; 
double SellLine2[]; 
double TargetLine1[]; 
double TargetLine2[]; 

//+------------------------------------------------------------------+ 

int    digits2, digits, period, win ; 
double point;

//+------------------------------------------------------------------+ 
int init() 
  { 
  
   digits       =  Digits ;
   point        =  Point ; 
 
  if(digits == 5 || digits == 3) { digits2 = 0 ; point = point * 10 ; } else { digits2 = 0 ; }
    
  
//---- indicators 
   SetIndexStyle(0,DRAW_LINE,STYLE_DOT); 
   SetIndexBuffer(0,OpenLine);    
   SetIndexStyle(1,DRAW_LINE,STYLE_DASH); 
   SetIndexBuffer(1,BuyLine1);  
//   SetIndexStyle(2,DRAW_LINE,STYLE_DASH); 
//   SetIndexBuffer(2,BuyLine2); 
   SetIndexStyle(2,DRAW_LINE,STYLE_DASH); 
   SetIndexBuffer(2,SellLine1);  
//   SetIndexStyle(4,DRAW_LINE,STYLE_DASH); 
//   SetIndexBuffer(4,SellLine2);        
   SetIndexStyle(3,DRAW_LINE,STYLE_DOT); 
   SetIndexBuffer(3,TargetLine1);  
   SetIndexStyle(4,DRAW_LINE,STYLE_DOT); 
   SetIndexBuffer(4,TargetLine2);      
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 
//| Custom indicator deinitialization function                       | 
//+------------------------------------------------------------------+ 
int deinit() 
  { 
//---- 
    
//---- 
   return(0); 
  } 
//+------------------------------------------------------------------+ 
//| Custom indicator iteration function                              | 
//+------------------------------------------------------------------+ 
int start() 
  { 
   int    counted_bars=IndicatorCounted(); 
   int limit; 
//---- 
   //---- last counted bar will be recounted 
   if(counted_bars>0) counted_bars--; 
    
   limit=Bars-counted_bars; 
    
   for (int i=0; i<limit; i++) 
   { 
    int BarShift   = iBarShift(NULL,PERIOD_H1,Time[i],true); 
    double OpenH1  = iOpen(NULL,PERIOD_H1,BarShift); 
    OpenLine[i]    = OpenH1; 
    BuyLine1[i]    = OpenH1+myEntryTrigger*point; 
//    BuyLine2[i]    = OpenH1+4*point; 
    SellLine1[i]   = OpenH1-myEntryTrigger*point; 
//    SellLine2[i]   = OpenH1-4*point; 
    TargetLine1[i] = OpenH1+myProfitTarget*point; 
    TargetLine2[i] = OpenH1-myProfitTarget*point;    
   } 

 


string tTime = TimeToStr(Time[0]) ;

if( show.comment )
{
Comment( "BuyZone..... ", tTime, "\n", 

         "LgTarget.... ", DoubleToStr(TargetLine1[0],digits) , "\n",  
         "LgTrigger... ", DoubleToStr(BuyLine1[0],digits) ,"\n", 
         "OpenLine.... ", DoubleToStr(OpenLine[0],digits) ,"\n",                   
         "ShTrigger... ", DoubleToStr(SellLine1[0],digits) , "\n",                  
         "ShTarget.... ", DoubleToStr(TargetLine2[0],digits) , "\n",    
//         "point.... ", DoubleToStr(point,digits) , "\n",             
         "") ;
}

   return(0); 
  } 
//+------------------------------------------------------------------+ 