//+------------------------------------------------------------------+
//|   TRO_ASK_LINE                                                   |
//|                                                                  | 
//|   Copyright  2008, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|                                                                  |
//|   therumpledone@gmail.com                                        |  
//+------------------------------------------------------------------+ 

#property  copyright "Copyright  2008, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 

#property indicator_chart_window

extern double Line_Style    = STYLE_SOLID ;
extern color  iColorAsk         = LightSalmon ; 
extern color  iColorBid         = LightSalmon ; 


string tAsk  = "Ask_Line" ;
string tBid  = "Bid_Line" ;

//+------------------------------------------------------------------+

int init()
  {
    return(0);
  }
  
  
//+------------------------------------------------------------------+
int deinit()
  {
      ObjectDelete(tAsk); 
      ObjectDelete(tBid);        
   return(0);
  }
//+------------------------------------------------------------------+
int start()
{

      ObjectDelete(tAsk);
      ObjectCreate(tAsk,OBJ_HLINE,0,0,0);
      ObjectSet(tAsk,OBJPROP_COLOR,iColorAsk);
      ObjectSet(tAsk,OBJPROP_STYLE,Line_Style);
      
      ObjectMove(tAsk,0,Time[0],Ask); 

      ObjectDelete(tBid);
      ObjectCreate(tBid,OBJ_HLINE,0,0,0);
      ObjectSet(tBid,OBJPROP_COLOR,iColorBid);
      ObjectSet(tBid,OBJPROP_STYLE,Line_Style);
      
      ObjectMove(tBid,0,Time[0],Bid);            
 
   WindowRedraw(); 
   
   return(0); 
}      
//+------------------------------------------------------------------+


  
   
  